#/etc/sssd/sssd.conf
[service]

[sssd]
domains = netid.washington.edu
services = nss, pam
config_file_version = 2

[domain/netid.washington.edu]

id_provider = ad
auth_provider = ad
access_provider = ad
chpass_provider = ad

#uwwi groups are broken so to minimize gratuitous searching:
ad_gpo_access_control = disabled
#gidNumber is unresolvable, so use local (/etc/groups) instead of uwwi
override_gid = 4444
#and also set in nssswitch.conf:
#  group: files


#with this setting, will create user home dirs in /home/netid.washington.edu (just for fun).
#  you must mkdir /home/netid.washington.edu
override_homedir = /home/%d/%u
fallback_homedir = /home/%u
override_shell = /bin/bash

#for production:
cache_credentials = true
#for debugging:
#cache_credentials = false

#turning off mapping means we will user posix uidNumber from UWWI instead
ldap_id_mapping = false

#so that netid users can log in with short name:
use_fully_qualified_names = false

ldap_referrals = false
ignore_group_members = True

[nss]

[pam]

